//IRTC Feb 97 - LITEBRTE.INC (Simplified version of Lite Brite (TM))

#declare LB_plug =
union {
  union {
    cylinder { <0,0,0><0,0,-0.0625>,0.25 translate <-0.4375, -0.125, 0> }
    cylinder { <0,0,0><0,0,-0.0625>,0.25 translate <0.4375, -0.125, 0> }
    cylinder { <0,0,0><0,0,-0.0625>,0.25 translate <0.4375, 0.125, 0> }
    cylinder { <0,0,0><0,0,-0.0625>,0.25 translate <-0.4375, 0.125, 0> }
    box { <-0.6875, -0.125, 0> <0.6875, 0.125, -0.0625> }
    box { <-0.4375, -0.375, 0> <0.4375, 0.375, -0.0625> }
  }
  union {
    sphere { <0, 0, -0.75>, 0.375 }
    cone { <0, 0, -0.0625>, 0.675, <0, 0, -0.75>, 0.25 }
    scale <1, 0.5, 1>
  }
  union {
    sphere { <-0.0625, 0, -1.125>, 0.09375 }
    cylinder { <-0.0625, 0, -1.125> <-2.0625, -4, -1.5>, 0.09375 }
    sphere { <0.0625, 0, -1.125>, 0.09375 }
    cylinder { <0.0625, 0, -1.125> <-1.9375, -4, -1.5>, 0.09375 }
  }
  texture { pigment { Black } finish { Glossy } }
}

#declare SX = 32
#declare SY = 24
#declare PX = 0
#declare PY = 0

#declare Pegs =
union{
  #while (PX < SX)
    #declare PY = 0
    #while (PY < SY)
      difference {
        union {
          sphere { <PX * 0.625, PY * 0.625, -0.75>, 0.20 }
          cylinder { <PX * 0.625, PY * 0.625, 0> <PX * 0.625, PY * 0.625, -0.75>, 0.20 }
        }
        union {
          sphere { <PX * 0.625, PY * 0.625, -0.75>, 0.19 }
          cylinder { <PX * 0.625, PY * 0.625, 0> <PX * 0.625, PY * 0.625, -0.75>, 0.19 }
        }
      }
      #declare PY = PY + 1
    #end
    #declare PX = PX + 1
  #end
  texture { Texture0 scale <20, 15, 1> translate <-0.3125, -0.3125, 0>
    finish { ambient 0.8 }
  }
  texture { Glass2 }
}


#declare SX = 32
#declare SY = 24
#declare PX = 0
#declare PY = 0

#declare Peg_lite =
union{
  #while (PX < SX)
    #declare PY = 0
    #while (PY < SY)
      union {
        sphere { <PX * 0.625, PY * 0.625, -0.75>, 0.189 }
        cylinder { <PX * 0.625, PY * 0.625, 0> <PX * 0.625, PY * 0.625, -0.75>, 0.189 }
      }
      #declare PY = PY + 1
    #end
    #declare PX = PX + 1
  #end
  texture { pigment { White } finish { ambient 1.0 } }
}


#declare Case =
union {
  difference {
    box { <0, 0, -0.75> <20, 15, 0.75> }
    box { <0.03, 0.03, -0.85> <19.97, 14.97, 0.85> }
  }
  difference {
    cylinder { <0, 7.5, 0.75> <20, 7.5, 0.75>, 7.5 scale <1, 1, 0.75> }
    plane { z, 0.75 }
    plane { x, 0 rotate <0, 30, 0> translate <0, 0, 0.75> }
    plane { -x, 0 rotate <0, -30, 0> translate <20, 0, 0.75> }
  }
  box { <9.875, 0, 0> <10.125, 7, 4> rotate <-10, 0, 0> translate <0, 0, 3> }
  texture { pigment { White } finish { ambient 0.6 } }
}

#declare Back_plate =
box { <0.03, 0.03, 0.74> <19.97, 14.97, 0.75>
  texture { pigment { Black } }
}

#declare Lite_brite =
union {
  object { Pegs translate <0, 0, 0.74> }
  object { Peg_lite translate <0, 0, 0.74> }
  object { Case }
  object { Back_plate }
  scale 0.65
  rotate <10, 0, 0>
}

